layout(location = 0) in vec3 os_pos;
layout(location = 1) in vec3 os_norm;
layout(location = 2) in vec2 os_texcoord0;

// uniform mat4 o_to_k; //obj to kaleido
// uniform mat4 k_to_w; //kaleido to world
uniform mat4 modelmat;
uniform mat4 vp;

uniform vec4 ws_eye_pos;
uniform vec4 time;
uniform vec4 offset_magnitude;

out vec3 v2f_os_pos;
//out vec3 ks_pos;
//out vec3 ws_pos;


void main()
{
	v2f_os_pos = os_pos;
	// ks_pos = (o_to_k * vec4( os_pos, 1 )).xyz;
	// ws_pos = (k_to_w * vec4( ks_pos, 1 )).xyz;

	gl_Position = vp * (modelmat * vec4(os_pos,1)); //vec4( ws_pos, 1.0f );
}
